Bug 216435 - Laptop hangs when power is connected
Laptop hangs when power is connected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
: Reopened
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-20 08:53 EST by Jim McElwaine
Modified: 2009-01-09 02:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:01:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (62.66 KB, text/plain)
2006-11-20 08:53 EST, Jim McElwaine
no flags Details
/var/log/acpid (52.05 KB, text/plain)
2006-11-20 08:54 EST, Jim McElwaine
no flags Details
lspci (2.04 KB, text/plain)
2006-11-20 08:55 EST, Jim McElwaine
no flags Details

  None (edit)
Description Jim McElwaine 2006-11-20 08:53:04 EST
I have a recent sony vaio laptop running FC6 updated with the latest,
2006-11-20, ackages.
If the power is unplugged everything works fine on the battery and a hot plug
messge comes up. When the power is reinserted the system hangs. All keys are
dead including switches to a console and alt-ctrl-del. The system needs to be
turned off and restarted. Nothing appears in /var/log/messages.
I am attaching this anyway and also lspci and acpid logs.
Comment 1 Jim McElwaine 2006-11-20 08:53:05 EST
Created attachment 141648 [details]
/var/log/messages
Comment 2 Jim McElwaine 2006-11-20 08:54:59 EST
Created attachment 141649 [details]
/var/log/acpid
Comment 3 Jim McElwaine 2006-11-20 08:55:51 EST
Created attachment 141650 [details]
lspci
Comment 4 Richard Hughes 2006-11-24 16:30:44 EST
Sounds like a kernel or hardware bug to me.
Comment 5 Jim McElwaine 2006-11-25 07:39:43 EST
I imagine it must be somthing to do with the kernel to crash it like this. I
have no idea how to investigate this though. How can I get more imformation from
apcid to see if it is registering the poer connnection. This is very urgent to
me as it's quite a problem not to be able to disconnect and reconnect the power
on a laptop.
Comment 6 David Zeuthen 2006-11-25 15:38:34 EST
Reassigning to kernel. Thanks.
Comment 7 Jon Stanley 2008-01-07 20:48:41 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 8 Jon Stanley 2008-02-07 23:26:18 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!
Comment 9 Jim McElwaine 2008-03-06 12:55:23 EST
The bug does still exist in all versions of the kernel and later including
current Fedora. It is being looked at a little by the kernel team, but if you
have any information you want please let me know.
http://bugzilla.kernel.org/show_bug.cgi?id=8451
Comment 10 Bug Zapper 2008-04-04 00:48:37 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Jim McElwaine 2008-04-04 09:14:28 EDT
Bug still exists in FC8
Comment 12 Bug Zapper 2008-11-26 02:06:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-01-09 02:01:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.